// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}


div(ng-cloak, ng-controller="CommandsOngoingController")

  div
    uib-alert(
      ng-repeat="alert in alerts"
      type="{{ 'alert.level' | ng }}"
      close="closeAlert($item)"
      ng-click="closeAlert($item)"
    )
      {{ 'alert.message' | ng }}

  ul.nav.nav-tabs.nav-justified
    li(role="presentation")
      a(href="{{ 'commands_url' | ng }}") {% trans "To command" %}
    li.active(role="presentation")
      a(href="ongoing") {% trans "Commands ongoing" %}  
        span.badge.ng-cloak(title='{% trans "Number of ongoing commands." %}')   {{ "ongoing_commands_nb" | ng }}
    li(role="presentation")
      a(href="/databasesearch/command/", target="_blank") {% trans "Historique" %}

  .row
    .col-md-12
      div.panel.panel-info(style="margin-top: 5px;")
          div.panel-heading {% trans "Attention" %}
          div.panel-body
            div {% trans " This page has the basic features working but is still under construction. Expect changes." %}

      table.table.table-condensed.table-striped
        thead
          th {% trans "id" %}
          th {% trans "Supplier" %}
          th {% trans "Date sent" %}
          th {% trans "Date received" %}
          th {% trans "Bill received" %}
          th {% trans "Payment sent" %}
          th {% trans "Payment accepted" %}
          th.text-right {% trans "Quantity" %}
          th.text-right {% trans "Total" %}
          th.text-right {% trans "Total incl. taxes" %}

        tbody
          tr(ng-repeat="cmd in commands", ng-mouseenter="show_icon[$index]=true", ng-mouseleave="show_icon[$index]=false")
            td {{ 'cmd.id' | ng }}
            td
              a(href="/commands/{{ 'cmd.id' | ng }}") {{ 'cmd.distributor_name | uppercase' | ng }}

            td {{ 'cmd.created | date: "short" ' | ng }}  

            td
                    span {{ 'cmd.date_received | date: "short" ' | ng }}  
                    i.mouse-pointer.glyphicon.glyphicon-calendar(ng-show="show_icon[$index]", ng-click="command_open_datepicker($event, cmd.id, 'date_received')", style="padding: 5px")
                    span(
                      type="hidden"
                      uib-datepicker-popup='{{"command_date_format"|ng}}'
                      ng-model="command_date[cmd.id].date_received"
                      ng-change="command_set_date(cmd.id, 'date_received')"
                      is-open="command_popup_status[cmd.id].date_received.opened"
                      datepicker-options="datepicker_command_options"
                    )

            // let's copy n paste instead of making a directive. We couldn't iterate over an array of date labels for the difficulty to make {{ 'cmd[date_label]' | ng }} work as intented. A jade mixin wouldn't help. Maybe jinja macro ?
            td
                    span {{ 'cmd.date_bill_received | date: "short" ' | ng }}  
                    i.mouse-pointer.glyphicon.glyphicon-calendar(ng-show="show_icon[$index]", ng-click="command_open_datepicker($event, cmd.id, 'date_bill_received')", style="padding: 5px")
                    span(
                      type="hidden"
                      uib-datepicker-popup='{{"command_date_format"|ng}}'
                      ng-model="command_date[cmd.id].date_bill_received"
                      ng-change="command_set_date(cmd.id, 'date_bill_received')"
                      is-open="command_popup_status[cmd.id].date_bill_received.opened"
                      datepicker-options="datepicker_command_options"
                    )

            td
                    span {{ 'cmd.date_payment_sent | date: "short" ' | ng }}  
                    i.mouse-pointer.glyphicon.glyphicon-calendar(ng-show="show_icon[$index]", ng-click="command_open_datepicker($event, cmd.id, 'date_payment_sent')", style="padding: 9px")
                    span(
                      type="hidden"
                      uib-datepicker-popup='{{"command_date_format"|ng}}'
                      ng-model="command_date[cmd.id].date_payment_sent"
                      ng-change="command_set_date(cmd.id, 'date_payment_sent')"
                      is-open="command_popup_status[cmd.id].date_payment_sent.opened"
                      datepicker-options="datepicker_command_options"
                    )

            td
                    span {{ 'cmd.date_paid | date: "short" ' | ng }}  
                    i.mouse-pointer.glyphicon.glyphicon-calendar(ng-show="show_icon[$index]", ng-click="command_open_datepicker($event, cmd.id, 'date_paid')", style="padding: 5px")
                    span(
                      type="hidden"
                      uib-datepicker-popup='{{"command_date_format"|ng}}'
                      ng-model="command_date[cmd.id].date_paid"
                      ng-change="command_set_date(cmd.id, 'date_paid')"
                      is-open="command_popup_status[cmd.id].date_paid.opened"
                      datepicker-options="datepicker_command_options"
                    )


            td.text-right {{ 'cmd.nb_copies' | ng }}
            td.text-right {{ 'cmd.total_value | number:2' | ng }} {% trans "€" %}
            td.text-right {{ 'cmd.total_value_inctaxes | number:2' | ng }} {% trans "€" %}

{% endblock content %}